Temp Projects - Tasks #12148

Live Server Update
10/28/2023 07:18 PM - Rijas P

Status: Closed Start date: 10/28/2023
Priority: Immediate Due date:

Assignee: ljas Ahammed % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear ljaz,

Please update the live server with the latest work updated in our test server.

History

#1 - 10/31/2023 12:35 PM - ljas Ahammed

- Assignee changed from ljas Ahammed to Noufal K

Please update the live server with the latest 8.3 Tag version.
Noufal K Please advise.

#2 - 10/31/2023 01:33 PM - ljas Ahammed

- Assignee changed from Noufal K to ljas Ahammed

Please hold it. Need below works also,

e https://bugzilla.posibolt.com/show_bug.cgi?id=9053
e https://bugzilla.posibolt.com/show_bug.cgi?id=7654

#3 - 11/09/2023 03:01 PM - Rijas P

- Priority changed from Urgent to Immediate

Dear ljaz,

Please plan to update the test server with Product admin fix.

#4 - 11/16/2023 05:07 PM - Rijas P

Dear ljas,

We have tested the latest work in test server. Please plan the update our live server tomorrow Between 02.30 to 04:30 IST

#5 - 11/16/2023 06:10 PM - ljas Ahammed

- Assignee changed from ljas Ahammed to Sharil Ali

Dear Sharilka, Please update on Monday before 9:30 AM IST.

#6 - 11/16/2023 09:54 PM - Sharil Ali

- Assignee changed from Sharil Ali to jidhin kp

Jidhin

Please schedule it at 7am IST on Monday using jenkins.
Sharju

Please verify the update using checklist.
http://redmine.posibolt.com/users/9
https://bugzilla.posibolt.com/show_bug.cgi?id=9053
https://bugzilla.posibolt.com/show_bug.cgi?id=7654

#7 - 11/19/2023 11:29 PM - jidhin kp
- Status changed from New to In Progress

- Assignee changed from jidhin kp to Sharjuban P

Scheduled at 7 AM IST Tomorrow
Ical.jar copied to home dir:

#8 - 11/20/2023 09:40 AM - jidhin kp
- Assignee changed from Sharjuban P to jidhin kp

#9 - 11/20/2023 09:45 AM - jidhin kp

Sgl List:
1596_StockRequisition_API_License.sql
1600_Alter_App_Sales_Common_Settings.sqgl
1601_Alter_RouteTrip_GPSData.sqgl
1602_API_TIsSalesRep_LicenseControl.sqgl

Alter SQL List

1600_Alter_App_Sales_Common_Settings.sqgl:ALTER TABLE U_APP_SALES_SETTINGS
1600_Alter_App_Sales_Common_Settings.sgl:ALTER TABLE U_APP_COMMON_SETTINGS
1600_Alter_App_Sales_Common_Settings.sgl:ALTER TABLE U_APP_COMMON_SETTINGS
1600_Alter_App_Sales_Common_Settings.sql:ALTER TABLE U_APP_COMMON_SETTINGS
1600_Alter_App_Sales_Common_Settings.sgl:VALUES (0, adempiere.nextid(53081,'N'), 0, now(), 100,
'Run script upto 1599..', 'Sahla', 'Y', 'l600_Alter_App_Sales_Common_Settings.sqgl',
1600_Alter_App_Sales_Common_Settings.sql:'Posibolt', '360', 'R', now(), 100, 'N',
'1600_Alter_App_Sales_Common_Settings.sql');

1601_Alter_RouteTrip_GPSData.sqgl:ALTER TABLE C_Routetrip

1601_Alter RouteTrip_GPSData.sqgl:ALTER TABLE C_Routetrip ADD COLUMN salesrep_id numeric(10,0);
1601_Alter_RouteTrip_GPSData.sqgl:ALTER TABLE C_Routetrip
1601_Alter_RouteTrip_GPSData.sql:VALUES (0, adempiere.nextid(53081,'N'), 0, now(), 100,

'Run script upto 1600..', 'Sahla', 'Y', 'l601_Alter_RouteTrip_GPSData.sql',
1601_Alter_RouteTrip_GPSData.sqgl:'Posibolt', '360', 'R', now(), 100, 'N', '1601_Alter_RouteTrip_GPSData.sql');

#10 - 11/20/2023 10:13 AM - jidhin kp

#11 - 11/20/2023 10:13 AM - jidhin kp

#12 - 11/20/2023 10:13 AM - jidhin kp

#13 - 11/20/2023 10:14 AM - jidhin kp

#14 - 11/20/2023 10:14 AM - jidhin kp

#15 - 11/20/2023 10:17 AM - jidhin kp
- Status changed from In Progress to Resolved

- Assignee changed from jidhin kp to System Admins Team

#16 - 11/20/2023 10:17 AM - jidhin kp
Euro Live Updated to 8.3.15(28150-PT)

#17 - 11/20/2023 11:11 AM - ljas Ahammed

- Status changed from Resolved to Re-opened

Please update this evening with the latest 8.4 tag version.

Break Time: Between 03:30 to 04.00 IST

#18 - 11/20/2023 11:31 AM - Sharil Ali

- Assignee changed from System Admins Team to Jabir Hussain

Jabir
Please copy the files and scripts as we discussed and update as suggested bu ljaz.

#19 - 11/20/2023 11:56 AM - Jabir Hussain

noted

#20 - 11/20/2023 04:16 PM - Jabir Hussain
Euro live updated to 8.4.2(28097-PT).

sgl list:-

1549_AD_Message.sql
1578_COLUMN_IN_DISCOUNT_SCHEMA_BREAK.sqgl
1583_Create_M DiscountSchema_Condition_table.sqgl
1584_CreateColumn_in_C_OrderLine.sqgl
1587_Create_DS_Break_Column_in_C_OrderLine.sgl
1588_Convert_DiscountSchemas_From_BPGroups.sgl
1595_Sku_Re-orderReport.sqgl
1597_UPDATE_ADCOLUMN_DISCOUNTSCHEMABREAK.sql
1598_Stock_Transfer_preference.sqgl
1599_Alter_BarcodeMap.sqgl

alter sqgl :-

1578_COLUMN_IN_DISCOUNT_SCHEMA_BREAK.sgl:ALTER TABLE m_discountschemabreak ADD COLUMN Groupl VARCHAR (255) ,
ADD COLUMN Group2 VARCHAR (255) ;

1584_CreateColumn_in_C_OrderLine.sgl:ALTER TABLE adempiere.C_OrderLine
1587_Create_DS_Break_Column_in_C_OrderLine.sgl:ALTER TABLE adempiere.C_OrderLine
1599_Alter_BarcodeMap.sqgl:VALUES (0, adempiere.nextid(53081,'N'), 0O, now(), 100, 'Run script up to 1599..°',
'Safwan', 'Y', '1599_Alter_BarcodeMap.sql',

1599_Alter_ BarcodeMap.sgl:'Posibolt Performance', '7.7', 'R', now(), 100, 'N', '1599_Alter_BarcodeMap.sqgl');

#21 - 11/20/2023 04:21 PM - Jabir Hussain

Used option 9 for both mini and backup

sqls run in central and backup

Updated Adempiere.jar and adempiereRoot.jar and ical.jar in the backup importer folder

#22 - 11/20/2023 05:32 PM - Jabir Hussain

- Assignee changed from Jabir Hussain to System Admins Team

#23 - 11/20/2023 10:28 PM - Sharil Ali

- Assignee changed from System Admins Team to ljas Ahammed

#24 - 11/23/2023 11:59 AM - ljas Ahammed
- Status changed from Re-opened to Resolved

- Assignee changed from ljas Ahammed to Rijas P

#25 - 11/27/2023 07:45 PM - Rijas P

- Status changed from Resolved to Closed

#26 - 11/28/2023 02:23 PM - Noufal K

- Status changed from Closed to In Progress

Please run below sgl in euro mini server and restart it (after shop hours).
ALTER TABLE m_discountschemabreak ADD COLUMN Groupl VARCHAR (255) , ADD COLUMN Group2 VARCHAR (255) ;
ALTER TABLE C_Orderline ADD COLUMN isFreeltem character (1) DEFAULT 'N'::bpchar;

ALTER TABLE C_OrderLine ADD COLUMN M_DiscountSchema_ID numeric (10,0), ADD CONSTRAINT fk_M DiscountSchema_ID
FOREIGN KEY (M_DiscountSchema_1ID) REFERENCES adempiere.M_DiscountSchema (M_DiscountSchema_ID) ;

#27 - 11/28/2023 03:03 PM - Sharjuban P

- Assignee changed from Rijas P to System Admins Team

Ran sql in miniserver
Restart pending

#28 - 11/28/2023 05:12 PM - Sharil Ali

- Assignee changed from System Admins Team to Ajin P

Ajin

Please check with UAE team and plan the restart tonight if it is on or before 11pm IST.

#29 - 11/28/2023 05:55 PM - Ajin P
Noted

#30 - 11/28/2023 11:08 PM - Ajin P

mini server restarted.

#31 - 11/28/2023 11:10 PM - Ajin P

- Assignee changed from Ajin P to System Admins Team

#32 - 11/29/2023 10:31 AM - Sharjuban P

- Assignee changed from System Admins Team to Ajin P
Ajin
Please plan to restart euro miniserver tonight after shop hours

#33 - 11/29/2023 10:32 AM - Noufal K

- Assignee changed from Ajin P to System Admins Team

Please plan and update mini server and run export setup in both central and mini.

#34 - 11/29/2023 02:00 PM - Sharil Ali

- Assignee changed from System Admins Team to Jabir Hussain

Jabir

Please copy the files and scripts to mini server

Ajin

Please update the mini server after 10.30 pm IST tonight.

#35 - 11/29/2023 02:12 PM - Jabir Hussain

noted

#36 - 11/29/2023 03:31 PM - Jabir Hussain

- Assignee changed from Jabir Hussain to System Admins Team

copied the files and scripts to mini server as zip, named 29Nov23.zip

#37 - 11/29/2023 04:12 PM - Ajin P

- Assignee changed from System Admins Team to Ajin P

noted

#38 - 11/29/2023 11:56 PM - Ajin P

- Assignee changed from Ajin P to System Admins Team

They are still busy with their sales, cant update server today.

#39 - 11/30/2023 06:50 PM - Sharil Ali
- Assignee changed from System Admins Team to Ajin P
Ajin
Please try tonight.

Sharju

Please update tomorrow morning before 10am if Ajin cant update tonight

#40 - 11/30/2023 07:00 PM - Ajin P
Noted

#41 - 11/30/2023 10:34 PM - Ajin P

Euro mini updated to 8.4.2(28097-PT).

sql list:-

1549_AD_Message.sql
1578_COLUMN_IN_DISCOUNT_SCHEMA_BREAK.sqgl
1583_Create_M_DiscountSchema_Condition_table.sqgl
1584_CreateColumn_in_C_OrderLine.sqgl
1587_Create_DS_Break_Column_in_C_OrderLine.sqgl
1588_Convert_DiscountSchemas_From_BPGroups.sqgl
1590_OutstandingCustomer_Process.sql
1591_API_PaymentStatus.sqgl
1592_API_GetAllDraftedStocktransfer.sqgl

#42 - 11/30/2023 10:35 PM - Ajin P

- Assignee changed from Ajin P to System Admins Team

Pending work:-

1593_alter_barcodeMap.sqgl
1595_Sku_Re-orderReport.sqgl
1596_StockRequisition_API_License.sql
1597_UPDATE_ADCOLUMN_DISCOUNTSCHEMABREAK.sql
1598_Stock_Transfer_preference.sqgl
1599_Alter_BarcodeMap.sqgl

Need to run Import and Export setup in Central server as current next =0.

#43 - 12/01/2023 09:18 AM - Amal P

ran export import setup as current next = 0.
error when ran exportsetup,

TrxReplicationStatus table exists
Creation of Tabel AD_ReplicationSequence

org.postgresql.util. PSQLException: ERROR: column "ad_client_id" of relation "trxreplicationstatus" already exists
at org.postgresgl.core.v3.QueryExecutorimpl.receiveErrorResponse(QueryExecutorimpl.java:1548)

at org.postgresqgl.core.v3.QueryExecutorimpl.processResults(QueryExecutorimpl.java:1316)

at org.postgresql.core.v3.QueryExecutorimpl.execute(QueryExecutorimpl.java:191)

at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:452)

at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:337)

at org.postgresql.jdbc2.AbstractJdbc2Statement.executeUpdate(AbstractJdbc2Statement.java:283)

at org.icalibrator.replication.exp.ReplicationExportSetup.createReplicationTables(ReplicationExportSetup.java:363)
at org.icalibrator.replication.exp.ReplicationExportSetup.main(ReplicationExportSetup.java:289)

Updated CLIENT_ACCOUNTING :0
Made processor: C_AcctProcessor isactive ='N'3

#44 - 12/01/2023 09:30 AM - Amal P

updation completed.

#45 - 12/01/2023 01:57 PM - Sharjuban P

- Assignee changed from System Admins Team to ljas Ahammed

#46 - 12/06/2023 12:01 PM - ljas Ahammed

- Status changed from In Progress to Closed

#47 - 05/21/2024 04:04 PM - SHAIJAL EDAVANA

07/18/2025

5/6



- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)
